<?php
$t = "Комментарии";
include_once 'core/core.php';
$id = isset($_GET["id"]) && !empty($_GET["id"])?$core->FilterString($_GET["id"]):false;
if ($site->disabledcomm == 1){
	include_once 'core/head.php';
	echo '<div class="title">Комментарии</div>';
	echo '<div class="error">Администратор сайта отключил комментарии</div>';
	echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	exit();
} elseif (!$id){
	include_once 'core/head.php';
	echo '<div class="title">Комментарии</div>';
	echo '<div class="error">Требуется указать индентификатор для комментария</div>';
	echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	exit();
} elseif (!preg_match("#^([A-z0-9])+$#ui", $id)) {
	include_once 'core/head.php';
	echo '<div class="title">Комментарии</div>';
	echo '<div class="error">Неверно указан индентификатор для комментария</div>';
	echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
	echo linkGen("/","На главную",["data-id"=>"link-home"]);
	include_once 'core/foot.php';
	exit();
} elseif (isset($_POST["send"]) && $user->auth()){
	if ($user->checkSpam()){
		$core->regError("Вы выполняете действие слишком часто.<br>Повторите попытку через 15 секунд.","Вы выполняете действие слишком часто.<br>Повторите попытку через 15 секунд.",1,"AntiSpam");
	} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
		$core->regError("Введите сообщение","Введите сообщение",1,"gb");
	} elseif (!$core->getIP() || !$core->getUA()){
		$core->regError("Заблокирован доступ для данного IP-адреса или User-Agent","Вы не можете оставить сообщение. Обратитесь к администратору для решения данной проблемы.",4,"gb");
	} else {
		$user->spamUpdate();
		$db->Query("INSERT INTO `comments`(`sid`, `uid`, `aid`, `sms`, `timeadd`) VALUES ('".$site->id."','".$user->uid."','".$id."','".$core->FilterString($_POST["sms"])."','".(time())."');");
		include_once 'core/head.php';
		echo '<div class="success">Ваше сообщение успешно добавлено.</div>';
		unset($_POST["sms"]);
	}
}
include_once 'core/head.php';
echo '<div class="title">Комментарии</div>';
if ($db->Count("comments","WHERE `sid` = '".$site->id."' AND `aid` = '".$id."'") == 0){
	echo '<div class="error">Комментарии пока что нету</div>';
}
if ($user->auth()){
	
echo '<form method="POST" class="comm_form">';
if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
echo 'Сообщение:<br><textarea id="input" name="sms">'.$core->FilterString((isset($_POST["sms"])?$_POST["sms"]:null)).'</textarea><br>
<input type="submit" name="send" value="Отправить">
</form>';
} else {
	echo '<div class="warning">Необходимо войти в аккаунт, чтобы оставить сообщение</div>';
	echo linkGen("/login.lm","Войти в аккаунт",["data-id"=>"link-login"]);
}
$max = 10;
$k_post = $db->Count("comments","WHERE `sid` = '".$site->id."' AND `aid` = '".$id."'");
$k_page = $core->k_page($k_post,$max);
$page = $core->page($k_page);
$start = $max*$page-$max;

$gb = $db->Query("SELECT * FROM `comments` WHERE `sid` = '".$site->id."' AND `aid` = '".$id."' ORDER BY `cid` DESC LIMIT $start, $max"); 
while ($g = mysqli_fetch_assoc($gb)){
	$u = $user->fullInfoID($g["uid"]);
	echo '<div class="text"
	data-login="'.$u["login"].'"
	data-uid="'.$u["id"].'"
	data-add="'.$g["timeadd"].'"
	data-msg="'.htmlentities($core->drawString($g["sms"])).'"><div class="line"><span class="nick">'.$user->linkUser($u["id"],"/comments.lm?id=".$id).'</span><span class="count">'.$core->RealTime($g["timeadd"]).'</span></div><div class="sms">'.$core->drawString($g["sms"]).'</div></div>';
}
if($k_page>1) echo $core->str('?id='.$id."&back=".$back."&",$k_page,$page);
echo ($back?linkGen($back,"Вернуться назад",["data-id"=>"link-back"]):null);
echo linkGen("/","На главную",["data-id"=>"link-home"]);
include_once 'core/foot.php';
?>